Menu g_hMenu;

void InitMenu(){
	g_hMenu = new Menu(Menu_Handler, MenuAction_Select|MenuAction_Display|MenuAction_DrawItem|MenuAction_DisplayItem|MenuAction_Cancel);
	g_hMenu.ExitBackButton = true;
	g_hMenu.SetTitle("Pets");
}

bool DisplayMenuIfCan(int iClient){
	if(g_hMenu.ItemCount > 0){
		g_hMenu.Display(iClient, MENU_TIME_FOREVER);
		return true;
	}

	return false;
}

int Menu_Handler(Menu hMenu, MenuAction iAction, int iClient, int iItem){
	char szItem[128];
	
	switch(iAction){
		case MenuAction_Select:{
			
			if(iItem == 0){
				RemovePet(iClient);
				g_ClientPetInfo[iClient].Enabled = false;
				SetClientCookie(iClient, g_hCookie, "");
			}else{
				hMenu.GetItem(iItem, "", 0, _, szItem, sizeof(szItem));
				ChoosePet(iClient, szItem);
				RemovePet(iClient);
				
				if(IsPlayerAlive(iClient)){
					CreatePet(iClient);
				}
			}
			g_hMenu.DisplayAt(iClient, GetMenuSelectionPosition(), MENU_TIME_FOREVER);
			
		}
		case MenuAction_Display:{
			
			FormatEx(szItem, sizeof(szItem), "%T", "Pets_Title", iClient);
			(view_as<Panel>(iItem)).SetTitle(szItem);
			
		}
		case MenuAction_DrawItem:{
			
			hMenu.GetItem(iItem, "", 0, _, szItem, sizeof(szItem));
			if(g_ClientPetInfo[iClient].Enabled){
				if(strcmp(szItem, g_ClientPetInfo[iClient].Name) == 0){
					return ITEMDRAW_DISABLED;
				}
			}else if(iItem == 0){
				return ITEMDRAW_DISABLED;
			}
			
		}
		case MenuAction_DisplayItem:{
			
			hMenu.GetItem(iItem, "", 0, _, szItem, sizeof(szItem));
			if(iItem == 0){
				FormatEx(szItem, sizeof(szItem), "%T", "Pets_Disable", iClient);
				return RedrawMenuItem(szItem);
			}
			else if(g_ClientPetInfo[iClient].Enabled && strcmp(szItem, g_ClientPetInfo[iClient].Name) == 0){
				Format(szItem, sizeof(szItem), "%s [+]", szItem);
				return RedrawMenuItem(szItem);
			}
			
		}
		case MenuAction_Cancel:{
			
			if(iItem == MenuCancel_ExitBack){
				VIP_SendClientVIPMenu(iClient);
			}
			
		}
	}
	
	return 0;
}